Package com.rosivanyshyn.controller.security.filter.access.chain.impl

# Class RoleAccessChain

java.lang.Object
com.rosivanyshyn.controller.security.filter.access.chain.AccessChain
com.rosivanyshyn.controller.security.filter.access.chain.impl.RoleAccessChain

public class RoleAccessChain extends AccessChain
Role Access Chain class. Implements `Access chain` interface
Check whether user is login into the session.
Otherwise redirect to login or registration page.

- ## Field Summary

  ### Fields inherited from class com.rosivanyshyn.controller.security.filter.access.chain.AccessChain

  `holder, successor, urls`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleAccessChain(AccessChain successor, AccessMapHolder holder, ArrayList<String> urls)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `processRequest(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res, jakarta.servlet.FilterChain chain, String action, AccountRole role)`
  Process user request

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleAccessChain

    public RoleAccessChain(AccessChain successor, AccessMapHolder holder, ArrayList<String> urls)

- ## Method Details

  - ### processRequest

    public void processRequest(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res, jakarta.servlet.FilterChain chain, String action, AccountRole role) throws IOException, jakarta.servlet.ServletException
    Description copied from class: `AccessChain`
    Process user request
    Specified by:
      `processRequest` in class `AccessChain`
    Parameters:
      `req` - User request
      `res` - Response to user
      `chain` - Application filter chain
      `action` - Current Action
      `role` - Current user role
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`